Preview. The sandboxes of the API key's workspace, the newest first.
GET
header
AuthorizationBearer <token>Your Munito API key.
status?|Only the sandboxes with this status.
limit?integerThe most sandboxes in one page.
Range
1 <= value <= 100Default
20after?|The id of the last sandbox of the previous page.
A page of sandboxes.
application/json- response
object?stringDefault
"list"data*array<>has_more*booleanPass the id of the last sandbox as after for the next page.
curl -X GET 'https://api.munito.ai/sandboxes/v1/sandboxes'Example Response
{
"object": "list",
"data": [
{
"id": "string",
"object": "sandbox",
"status": "pending",
"template": "string",
"size": "string",
"vcpus": 0,
"memory_mib": 0,
"disk_gib": 0,
"internet": true,
"persistent": true,
"metadata": {
"property1": "string",
"property2": "string"
},
"created_at": 0,
"started_at": 0,
"expires_at": 0,
"ended_at": 0,
"end_reason": "deleted",
"public_ports": [
0
],
"ssh_keys": [
"string"
],
"hostname": "string",
"networks": [
{
"id": "string",
"name": "string",
"dns_name": "string",
"address": "string"
}
]
}
],
"has_more": true
}